Subject: bug#64846: Emacs 29 RC on Windows: White background color flashes on startup, before background color from config takes effect on Windows

From: Yanchi Tóth <[email-masked]>
Date: Wed, 26 Jul 2023 10:32:54 +0200

Hmmm. I tried adding the early init file with what you suggest, but the
situation stays the same

Note that if I make the frame larger at startup, the bright rectangle stays
pretty much the same size,
which hints at this being related to repainting dirty areas? Maybe when
Windows sends the first WM_ERASEBKGND,
the frame background color is not set yet, so Emacs repaints with white?

I don't think this is a release blocker, and I could investigate this later
myself, if it would help.

On Tue, Jul 25, 2023 at 4:32 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Yanchi Tóth <[email-masked]>
> > Date: Tue, 25 Jul 2023 15:32:33 +0200
> > Cc: [email-masked]
> >
> > I managed to reproduce with this fairly minimal configuration:
> >
> > (set-background-color "#191919")
> > (set-foreground-color "burlywood")
> >
> > Because the config is much smaller, the flash of white is much shorter,
> but still noticeable.
>
> Instead of the above, try adding to your early-init file the
> following:
>
>   (add-to-list 'default-frame-alist
>                '(background-color . "#191919")
>                '(foreground-color . "burlywood"))
>